warning: python-dbus not installed.

Bug #1095783 reported by turtle on 2013-01-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Unassigned

Bug Description

python-dbus (thus dbus) is not listed a compile time option or hard dependency.
However some scripts other than fax support might depend on it.

http://hplipopensource.com/hplip-web/install/manual/configure.html
python-dbus is listed here as "optional" for fax --> http://hplipopensource.com/node/295
I get an error when running hp-check -t that I am missing dbus.

I think hplip works as expected without dbus, and dbus is not generally necessary on headless servers.
Should there be a configure option for dbus?

Thanks for all your hard work!
Here is the output from hplip with no dbus:
hp-check -t
warning: python-dbus not installed.

HP Linux Imaging and Printing System (ver. 3.12.10a)
Dependency/Version Check Utility ver. 15

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies
d. [All are run-time checks]
PYEXT SCANCONF QUEUES PERMISSION

Status Types:
    OK
    MISSING - Missing Dependency or Permission or Plug-in
    INCOMPAT - Incompatible dependency-version or Plugin-version

Saving output in log file: /var/www/localhost/htdocs/ledgersmb/hp-check.log

Initializing. Please wait... warning: gentoo-0.0 version is not supported. Using gentoo-any versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------
                                                                                                                  Kernel: 3.4.9-gentoo #5 SMP Mon Oct 1 13:23:34 PDT 2012 GNU/Linux
 Host: turtle.think-electric.com
 Proc: 3.4.9-gentoo #5 SMP Mon Oct 1 13:23:34 PDT 2012 GNU/Linux
 Distribution: gentoo 0.0

-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.12.10a
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for gentoo distro 0.0 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.12.10a

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.12.10a
html=/usr/share/doc/hplip-3.12.10a/html
icon=/usr/share/applications
cupsbackend=/usr/libexec/cups/backend
cupsfilter=/usr/libexec/cups/filter
drv=/usr/share/cups/drv/hp

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=no
libusb01-build=no
pp-build=no
gui-build=no
scanner-build=no
fax-build=no
dbus-build=no
cups11-build=no
doc-build=no
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.12.10a
restricted-build=no
ui-toolkit=no
qt3=no
qt4=no
policy-kit=no
hpijs-only-build=no
lite-build=no
udev-acl-rules=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no

Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
warning: Could not access file: No such file or directory
 <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>

--------------------------
| External Dependencies |
--------------------------
                                                                                                                   gs Ghostscript REQUIRED 7.05 9.05 OK - network Network-wget OPTIONAL - 1.14 OK - error: dbus DBus REQUIRED - - MISSING 'DBUS may not be installed or not running'
 error: scanimage Shell-Scanning OPTIONAL 1.0 - MISSING 'scanimage needs to be installed'
 error: policykit Admin-Policy-framework OPTIONAL - - MISSING 'policykit needs to be installed'
 error: xsane SANE-GUI OPTIONAL 0.9 - MISSING 'xsane needs to be installed' cups CUPS REQUIRED 1.1 1.5.2 OK 'CUPS Scheduler is running'

Hi Turtle,

python-dbus is compile and run time dependency for fax. If python-dbus package is missing, fax feature may not be working as expected and may not get the notifications.

Where as other features (i.e. Print, Scan) will work fine even without python-dbus package.

Thanks & Regards,
Amarnath

turtle (h-turtle) wrote :

Hi thanks for your reply.
I can do a grep of the source directory:
 grep 'dbus' hplip-3.13.2/*
and (I think) find examples of dbus being used for more than fax
For example there is code in the source files config_usb_printer.py around line 45 and 90
Gentoo has made dbus a hard dependency
due to a user without dbus having problems configuring a usb printer:
https://bugs.gentoo.org/show_bug.cgi?id=431202#c13

Are those checks and configurations possible without dbus and the user without dbus might have to do some extra configuration thus package maintainers should leave dbus as a option for fax support?

I would really like to keep dbus as optional at compile time :)
Thanks for your time!
Turtle

Tom Dexter (digitalaudiorock) wrote :

Agreed. I'm in the process of trying to remove DBUS from my system and I can confirm that even with fax support disabled, I was NOT able to setup my wireless printer with hp-setup (even by specifying it's static ip address) without having dbus insstalled and the dbus service actually running.

Please don't make hplip the only reason I need to keep this monstrosity.

Tom Dexter (digitalaudiorock) wrote :

Whoa!...I just discovered the hard way that scanning with scanimage using hplip 3.14.1 segfaults unless the DBUS service is running! Took me forever to figure out that was the cause. What's that about??

Hi Tom,

For Scan to work, dbus is not mandatory. I think, you have installed hplip while dbus was installed and later you disabled.

Still to trace your issue, please provide the strace log.

e.g. strace -o <file> scanimage

Tom Dexter (digitalaudiorock) wrote :

Thanks for the reply Sarbeswar. I've attached an strace of the segfault I get when attempting to scan without dbus running.

Tom Dexter (digitalaudiorock) wrote :

One other thing to note: When I scan with DBUS running the scans work fine, but I get warnings such as this:

scanimage --format=tiff --mode Color -x 215.9 -y 279.4 > test.tiff
scanimage: WARNING: read more data than announced by backend (1576575/1574664)

Not sure if that's related or not.

Tom Dexter (digitalaudiorock) wrote :

Wow...as of hplip-3.14.10 scanning *still* segfaults without DBUS running. It's bad enough that things like hp-setup seem to require this, but it's a patently absurd requirement for scanning.

Is there any plan to fix this?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.